pci_find_device
Prev | PCI Support Library | Next

## Name

pci_find_device — begin or continue searching for a PCI device by vendor/device id

## Synopsis

`struct pci_dev * pci_find_device (` | unsigned int | vendor,
| unsigned int | device,
| const struct pci_dev * | from`)`;

## Arguments

`vendor`

  PCI vendor id to match, or `PCI_ANY_ID` to match all vendor ids

`device`

  PCI device id to match, or `PCI_ANY_ID` to match all device ids

`from`

  Previous PCI device found in search, or `NULL` for new search.

## Description

Iterates through the list of known PCI devices. If a PCI device is found with a matching `vendor` and `device`, a pointer to its device structure is returned. Otherwise, `NULL` is returned. A new search is initiated by passing `NULL` as the `from` argument. Otherwise if `from` is not `NULL`, searches continue from next device on the global list.

## NOTE

Do not use this function any more; use `pci_get_device` instead, as the PCI device returned by this function can disappear at any moment in time.

Prev | Up | Next
pci_get_bus_and_slot | Home | pci_get_subsys